Couldn't load plugin postgis_manager due an error when calling its initGui() method

2011-02-14 11:42 PM - vvj -

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13551

Description

After updating Qgis to 1.6.0-3 from 1.6.0-2 using OSGeo4W advanced installer (and some new libs were offered), Postgis Manager

plugin stopped working:

*Couldn't load plugin postgis_manager due an error when calling its initGui() method*

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis/./python\\qgis\\utils.py", line 147, in startPlugin

    plugins[packageName].initGui()

  File "D:/Users/user1/.qgis/python/plugins\\postgis_manager\\ManagerPlugin.py", line 24, in initGui

    self.iface.addPluginToDatabaseMenu("&PostGIS Manager", self.action)

[[TypeError]]: 'sip.methoddescriptor' object is not callable

Python version:

2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

QGIS version:

1.6.0-Capiapo Capiapo, exported

Python path: ['C:/OSGeo4W/apps/qgis/./python', 'D:/Users/arctic/.qgis/python', 'D:/Users/user1/.qgis/python/plugins',

'C:/OSGeo4W/apps/qgis/./python/plugins', 'C:\\\\OSGeo4W\\\\bin\\\\python25.zip', 'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\DLLs',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib', 'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\plat-win',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\lib-tk', 'C:\\\\OSGeo4W\\\\apps\\\\qgis\\\\bin', 'C:\\\\OSGeo4W\\\\apps\\\\Python25',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages', 'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGeo4W\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'D:\\\\Users\\\\arctic\\\\.qgis\\\\python\\\\plugins\\\\cadtools\\\\tools']

I also get this error when trying to install this plugin after removing it.

Just checked with 1.6.0-4 version - problem remains.

History

#1 - 2011-02-15 12:11 AM - Jürgen Fischer

[[PostGIS]] manager tries to add an entry to the database menu available in trunk and if that fails add it database menu.  Unfortunately it only catches

[[AttributeError]] exceptions, but no [[TypeError]] exceptions to do that.  The change of exceptions is probably due to the sip or [[PyQt]]4 update in

OSGeo4W.
But plugins not in core are out of scope for this TRAC. The plugin needs to be updated by it's author Martin Dobias

#2 - 2011-02-15 12:11 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

#3 - 2011-02-15 12:21 AM - Martin Dobias

This issue should be fixed in v0.5.14.

Martin
